diff -urN oo_1.0.1_src.orig/sw/source/filter/ascii/wrtasc.cxx oo_1.0.1_src/sw/source/filter/ascii/wrtasc.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ascii/wrtasc.cxx	Tue Jul  9 17:08:22 2002
+++ oo_1.0.1_src/sw/source/filter/ascii/wrtasc.cxx	Fri Jul 12 09:40:43 2002
@@ -120,6 +120,7 @@
 					{
 					case 437: aNewOpts.SetCharSet( RTL_TEXTENCODING_IBM_437 );	break;
 					case 850: aNewOpts.SetCharSet( RTL_TEXTENCODING_IBM_850 );	break;
+					case 852: aNewOpts.SetCharSet( RTL_TEXTENCODING_IBM_852 );	break;
 					case 860: aNewOpts.SetCharSet( RTL_TEXTENCODING_IBM_860 );	break;
 					case 861: aNewOpts.SetCharSet( RTL_TEXTENCODING_IBM_861 );	break;
 					case 863: aNewOpts.SetCharSet( RTL_TEXTENCODING_IBM_863 );	break;
@@ -129,7 +130,7 @@
 
 	case 'A':
 #if !defined(WIN) && !defined(WNT)
-				aNewOpts.SetCharSet( RTL_TEXTENCODING_MS_1252 );
+				aNewOpts.SetCharSet( RTL_TEXTENCODING_MS_1250 );
 				aNewOpts.SetParaFlags( LINEEND_CRLF );
 #endif
 				break;
@@ -143,7 +144,7 @@
 
 	case 'X':
 #if !defined(UNX)
-				aNewOpts.SetCharSet( RTL_TEXTENCODING_MS_1252 );
+				aNewOpts.SetCharSet( RTL_TEXTENCODING_ISO_8859_2 );
 				aNewOpts.SetParaFlags( LINEEND_LF );
 #endif
 				break;
diff -urN oo_1.0.1_src.orig/sw/source/filter/excel/excimpop.cxx oo_1.0.1_src/sw/source/filter/excel/excimpop.cxx
--- oo_1.0.1_src.orig/sw/source/filter/excel/excimpop.cxx	Tue Jul  9 17:08:22 2002
+++ oo_1.0.1_src/sw/source/filter/excel/excimpop.cxx	Fri Jul 12 09:40:43 2002
@@ -371,7 +371,7 @@
 
 	*pIn >> nPage;
 	nBytesLeft -= 2;
-
+	fprintf(stderr,"Excel filter, lang code %d\n",nPage);
 	switch( nPage )
 		{
 		case 0x01B5:	// IBM PC 437 (Multiplan)
diff -urN oo_1.0.1_src.orig/sw/source/filter/html/wrthtml.cxx oo_1.0.1_src/sw/source/filter/html/wrthtml.cxx
--- oo_1.0.1_src.orig/sw/source/filter/html/wrthtml.cxx	Tue Jul  9 17:08:22 2002
+++ oo_1.0.1_src/sw/source/filter/html/wrthtml.cxx	Fri Jul 12 09:40:43 2002
@@ -279,7 +279,7 @@
 	pNextNumRuleInfo = 0;
 	pFootEndNotes = 0;
 	pFmtFtn = 0;
-	eDestEnc = RTL_TEXTENCODING_MS_1252;
+	eDestEnc = RTL_TEXTENCODING_ISO_8859_2;
 }
 
 
diff -urN oo_1.0.1_src.orig/sw/source/filter/rtf/rtffld.cxx oo_1.0.1_src/sw/source/filter/rtf/rtffld.cxx
--- oo_1.0.1_src.orig/sw/source/filter/rtf/rtffld.cxx	Tue Jul  9 17:08:22 2002
+++ oo_1.0.1_src/sw/source/filter/rtf/rtffld.cxx	Fri Jul 12 09:40:43 2002
@@ -1019,7 +1019,7 @@
 		case RTF_RDBLQUOTE:		cCh = 148;	goto INSINGLECHAR;
 INSINGLECHAR:
 			sFieldStr += ByteString::ConvertToUnicode( cCh,
-                           					RTL_TEXTENCODING_MS_1252 );
+                           					RTL_TEXTENCODING_MS_1250 );
 			break;
 
 		// kein Break, aToken wird als Text gesetzt
diff -urN oo_1.0.1_src.orig/sw/source/filter/rtf/wrtrtf.hxx oo_1.0.1_src/sw/source/filter/rtf/wrtrtf.hxx
--- oo_1.0.1_src.orig/sw/source/filter/rtf/wrtrtf.hxx	Tue Jul  9 17:08:22 2002
+++ oo_1.0.1_src/sw/source/filter/rtf/wrtrtf.hxx	Fri Jul 12 09:40:43 2002
@@ -95,7 +95,7 @@
 #ifdef MAC
 #define DEF_ENCODING		RTL_TEXTENCODING_APPLE_ROMAN
 #else
-#define DEF_ENCODING		RTL_TEXTENCODING_MS_1252
+#define DEF_ENCODING		RTL_TEXTENCODING_MS_1250
 #endif
 
 
diff -urN oo_1.0.1_src.orig/sw/source/filter/w4w/w4wpar1.cxx oo_1.0.1_src/sw/source/filter/w4w/w4wpar1.cxx
--- oo_1.0.1_src.orig/sw/source/filter/w4w/w4wpar1.cxx	Tue Jul  9 17:08:22 2002
+++ oo_1.0.1_src/sw/source/filter/w4w/w4wpar1.cxx	Fri Jul 12 09:40:43 2002
@@ -1542,6 +1542,12 @@
 		case 850:	// Standard international PC code page
 			eCodeSet = RTL_TEXTENCODING_IBM_850;
 			break;
+		case 852:	// Czech PC code page
+			eCodeSet = RTL_TEXTENCODING_IBM_852;
+			break;
+		case 1250:	// Czech PC code page
+			eCodeSet = RTL_TEXTENCODING_MS_1250;
+			break;
 		case 819:	// ANSI code page
 			eCodeSet = ( 39 == nDocType &&
 							rVersion.EqualsAscii( "0" ))  // MS Works f. DOS
diff -urN oo_1.0.1_src.orig/sw/source/filter/ww1/fltshell.cxx oo_1.0.1_src/sw/source/filter/ww1/fltshell.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ww1/fltshell.cxx	Tue Jul  9 17:08:22 2002
+++ oo_1.0.1_src/sw/source/filter/ww1/fltshell.cxx	Fri Jul 12 09:40:43 2002
@@ -998,7 +998,7 @@
 	: aStack(pDoc, nFieldFl),
 	aEndStack(pDoc, nFieldFl),
 	pCurrentPageDesc(0),
-	eSrcCharSet( RTL_TEXTENCODING_MS_1252 ),
+	eSrcCharSet( RTL_TEXTENCODING_MS_1250 ),
 	nPageDescOffset(GetDoc().GetPageDescCnt()),
 	pPaM(new SwPaM( *(rPaM.GetPoint()))),
 	bNewDoc(bNew),
diff -urN oo_1.0.1_src.orig/sw/source/filter/ww1/w1class.cxx oo_1.0.1_src/sw/source/filter/ww1/w1class.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ww1/w1class.cxx	Tue Jul  9 17:08:22 2002
+++ oo_1.0.1_src/sw/source/filter/ww1/w1class.cxx	Fri Jul 12 09:40:43 2002
@@ -105,7 +105,7 @@
 	if( rFib.GetStream().Seek( ulFilePos + ulOffset ) == ulFilePos+ulOffset &&
 		rFib.GetStream().Read( &cRead, sizeof( cRead ) ) == sizeof( cRead ) )
 	{
-		cRet = ByteString::ConvertToUnicode( cRead, RTL_TEXTENCODING_MS_1252 );
+		cRet = ByteString::ConvertToUnicode( cRead, RTL_TEXTENCODING_MS_1250 );
 	}
 	else
 		cRet = ' ';
@@ -119,7 +119,7 @@
 	DBG_ASSERT(ulOffset+nLen<Count(), "Ww1PlainText");
 	if( rFib.GetStream().Seek(ulFilePos+ulOffset) == ulFilePos+ulOffset &&
 		rFib.GetStream().Read( aStr.AllocBuffer( nLen ), nLen ) == nLen )
-		sRet = String( aStr, RTL_TEXTENCODING_MS_1252 );
+		sRet = String( aStr, RTL_TEXTENCODING_MS_1250 );
 	return sRet;
 }
 
@@ -200,11 +200,11 @@
 			pStr = "?";
 		else
 			pStr = names[ stc-222 ];
-		SetName( String( pStr, RTL_TEXTENCODING_MS_1252 ));
+		SetName( String( pStr, RTL_TEXTENCODING_MS_1250 ));
 	}
 	else if( 255 > nCountBytes ) // unused
 	{
-		SetName( String( (sal_Char*)p, nCountBytes, RTL_TEXTENCODING_MS_1252 ));
+		SetName( String( (sal_Char*)p, nCountBytes, RTL_TEXTENCODING_MS_1250 ));
 		p += nCountBytes;
 		DBG_ASSERT(rnCountBytes>=nCountBytes, "Ww1Style");
 		rnCountBytes -= nCountBytes;
@@ -915,7 +915,7 @@
 {
 	String sRet;
 	if( nNum <= nMax )
-		sRet = String( pIdxA[ nNum+1 ], RTL_TEXTENCODING_MS_1252 );
+		sRet = String( pIdxA[ nNum+1 ], RTL_TEXTENCODING_MS_1250 );
 	return sRet;
 }
 
@@ -1124,7 +1124,7 @@
 	DBG_ASSERT(code<MaxFields, "out of range");
 	if (pStrTbl[code] != NULL)
 		for( USHORT i=0;i<pStrTbl[code][0];i++ )
-			sRet += String( pStrTbl[code][i+1], RTL_TEXTENCODING_MS_1252 );
+			sRet += String( pStrTbl[code][i+1], RTL_TEXTENCODING_MS_1250 );
 	return sRet;
 }
 
diff -urN oo_1.0.1_src.orig/sw/source/filter/ww1/w1filter.cxx oo_1.0.1_src/sw/source/filter/ww1/w1filter.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ww1/w1filter.cxx	Tue Jul  9 17:08:22 2002
+++ oo_1.0.1_src/sw/source/filter/ww1/w1filter.cxx	Fri Jul 12 09:40:43 2002
@@ -1666,7 +1666,7 @@
 		 eFamily = FAMILY_ROMAN;
 		 aName.AssignAscii( RTL_CONSTASCII_STRINGPARAM( "Tms Rmn" ));
 		 ePitch = PITCH_VARIABLE;
-		 eCharSet = RTL_TEXTENCODING_MS_1252;
+		 eCharSet = RTL_TEXTENCODING_MS_1250;
 	break;
 	case 1:
 		 aName.AssignAscii( RTL_CONSTASCII_STRINGPARAM( "Symbol" ));
@@ -1677,7 +1677,7 @@
 		 eFamily = FAMILY_SWISS;
 		 aName.AssignAscii( RTL_CONSTASCII_STRINGPARAM( "Helv" ));
 		 ePitch = PITCH_VARIABLE;
-		 eCharSet = RTL_TEXTENCODING_MS_1252;
+		 eCharSet = RTL_TEXTENCODING_MS_1250;
 	break;
 	default:
 	{
@@ -1686,7 +1686,7 @@
 		{
 		// Fontname .........................................
 			aName = String( (sal_Char*)pF->szFfnGet(),
-							RTL_TEXTENCODING_MS_1252 );
+							RTL_TEXTENCODING_MS_1250 );
 		// Pitch .............................................
 			static FontPitch ePitchA[] =
 			{
@@ -1694,7 +1694,7 @@
 			};
 			ePitch = ePitchA[pF->prgGet()];
 		// CharSet ...........................................
-			eCharSet = RTL_TEXTENCODING_MS_1252;
+			eCharSet = RTL_TEXTENCODING_MS_1250;
 			if (aName.EqualsIgnoreCaseAscii("Symbol")
 			 || aName.EqualsIgnoreCaseAscii("Symbol Set")
 			 || aName.EqualsIgnoreCaseAscii("Wingdings")
@@ -1716,7 +1716,7 @@
 			eFamily = FAMILY_SWISS;
 		 	aName.AssignAscii( RTL_CONSTASCII_STRINGPARAM( "Helv" ));
 			ePitch = PITCH_VARIABLE;
-			eCharSet = RTL_TEXTENCODING_MS_1252;
+			eCharSet = RTL_TEXTENCODING_MS_1250;
 		}
 	}
 	break;
diff -urN oo_1.0.1_src.orig/sw/source/filter/ww8/dump/dump8a.cxx oo_1.0.1_src/sw/source/filter/ww8/dump/dump8a.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ww8/dump/dump8a.cxx	Tue Jul  9 17:08:23 2002
+++ oo_1.0.1_src/sw/source/filter/ww8/dump/dump8a.cxx	Fri Jul 12 09:40:43 2002
@@ -434,7 +434,7 @@
 		*pOut << ( ( aBook.GetIsEnd() ) ? " Ende  " : " Anfang" );
 		*pOut << " Handle: " << aBook.GetHandle();
 //		*pOut << " Len: " << hex4 << aBook.GetLen() << dec;
-		ByteString sName( *aBook.GetName(), RTL_TEXTENCODING_MS_1252 );
+		ByteString sName( *aBook.GetName(), RTL_TEXTENCODING_MS_1250 );
 		if( sName.Len() )
 			*pOut << " Name: " << sName.GetBuffer() << endl1;
 		else
@@ -575,12 +575,12 @@
 		// const
 		WW8_FFN* p = (WW8_FFN*)aFonts.GetFont( i );
 
-		sOut = ByteString( p->sFontname, RTL_TEXTENCODING_MS_1252 );
+		sOut = ByteString( p->sFontname, RTL_TEXTENCODING_MS_1250 );
 		*pOut << "Id:" << i << " Name:\"" << sOut.GetBuffer() << '"';    // Name
 		if( p->ibszAlt )					// gibt es einen alternativen Font ?
 		{
 			sOut = ByteString( p->sFontname.Copy( p->ibszAlt ),
-								RTL_TEXTENCODING_MS_1252 );
+								RTL_TEXTENCODING_MS_1250 );
 			*pOut << ", Alternativ:" << '"' << sOut.GetBuffer() << '"';
 		}
 		*pOut << ", PitchRequest:" << (short)p->prg << ", TrueType:" << (short)p->fTrueType;
@@ -2824,7 +2824,7 @@
 		*pOut << c << "-Style Nr:" << nNr << ' ';
 		*pOut << "ID:"; PrintStyleId( pStd->sti );
 		*pOut << "BasedOn:"; PrintStyleId( pStd->istdBase );
-		ByteString sName( aStr, RTL_TEXTENCODING_MS_1252 );
+		ByteString sName( aStr, RTL_TEXTENCODING_MS_1250 );
 		*pOut << "Next:" << pStd->istdNext << " Name:\"" << sName.GetBuffer() << "\"";
 		*pOut << endl1 << "                       ";
 		*pOut << "cbStd:" << cbStd << ' ';
@@ -2918,7 +2918,7 @@
 	}
 	xStrm->Seek( 0 );
 
-	ByteString sOutName( rOutName, RTL_TEXTENCODING_MS_1252 );
+	ByteString sOutName( rOutName, RTL_TEXTENCODING_MS_1250 );
 	pOut = new fstream( sOutName.GetBuffer(), ios::out );
 	if ( !pOut )
 	{
@@ -2997,7 +2997,7 @@
 
 	// dann erstmal den Dateinamen schreiben:
 	{
-		ByteString sName( rName, RTL_TEXTENCODING_MS_1252 );
+		ByteString sName( rName, RTL_TEXTENCODING_MS_1250 );
 		*pOut << "Datei: " << sName.GetBuffer() << endl;
 	}
 	pSBase = new WW8ScannerBase( &xStrm, &xTableStream, &xDataStream, pWwFib );
diff -urN oo_1.0.1_src.orig/sw/source/filter/ww8/dump/ww8scan.cxx oo_1.0.1_src/sw/source/filter/ww8/dump/ww8scan.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ww8/dump/ww8scan.cxx	Tue Jul  9 17:08:23 2002
+++ oo_1.0.1_src/sw/source/filter/ww8/dump/ww8scan.cxx	Fri Jul 12 09:40:43 2002
@@ -4587,7 +4587,7 @@
 			case 6:
 			case 7: // lies Pascal-String
 							*pString = WW8ReadPString( rSt,
-													RTL_TEXTENCODING_MS_1252 );
+													RTL_TEXTENCODING_MS_1250 );
 										// leading len and trailing zero --> 2
 							rSkip   -= 2+ pString->Len();
 							break;
@@ -4712,7 +4712,7 @@
 				p->wWeight   = SVBT16ToShort( *(SVBT16*)&pVer6->wWeight );
 				p->chs       = pVer6->chs;
 				p->ibszAlt   = pVer6->ibszAlt;
-				p->sFontname = String( pVer6->szFfn, RTL_TEXTENCODING_MS_1252 );
+				p->sFontname = String( pVer6->szFfn, RTL_TEXTENCODING_MS_1250 );
 				pVer6 = (WW8_FFN_Ver6*)(  ((BYTE*)pVer6)
 										+ pVer6->cbFfnM1 + 1 );
 			}
diff -urN oo_1.0.1_src.orig/sw/source/filter/ww8/wrtw8nds.cxx oo_1.0.1_src/sw/source/filter/ww8/wrtw8nds.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ww8/wrtw8nds.cxx	Tue Jul  9 17:08:23 2002
+++ oo_1.0.1_src/sw/source/filter/ww8/wrtw8nds.cxx	Fri Jul 12 09:40:43 2002
@@ -776,7 +776,7 @@
 			rWrt.pDataStrm->Write( MAGIC_C, sizeof(MAGIC_C) );
 			SwWW8Writer::WriteLong( *rWrt.pDataStrm, sURL.Len()+1 );
 			SwWW8Writer::WriteString8( *rWrt.pDataStrm, sURL, TRUE,
-										RTL_TEXTENCODING_MS_1252 );
+										RTL_TEXTENCODING_MS_1250 );
 			rWrt.pDataStrm->Write( MAGIC_D, sizeof( MAGIC_D) );
 
 			SwWW8Writer::WriteLong( *rWrt.pDataStrm, 2*sURL.Len()+6);
@@ -852,7 +852,7 @@
 	rWrt.pChpPlc->AppendFkpEntry( rWrt.Strm().Tell(), aItems.Count(),
 									aItems.GetData() );
 	rWrt.OutSwString( rTxt, 0, rTxt.Len(), rWrt.IsUnicode(),
-						RTL_TEXTENCODING_MS_1252 );
+						RTL_TEXTENCODING_MS_1250 );
 	rWrt.pChpPlc->AppendFkpEntry( rWrt.Strm().Tell(), nStt_sprmCFSpec,
 									aItems.GetData() );
 	rWrt.WriteChar( '\x15' );
diff -urN oo_1.0.1_src.orig/sw/source/filter/ww8/wrtw8num.cxx oo_1.0.1_src/sw/source/filter/ww8/wrtw8num.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ww8/wrtw8num.cxx	Tue Jul  9 17:08:23 2002
+++ oo_1.0.1_src/sw/source/filter/ww8/wrtw8num.cxx	Fri Jul 12 09:40:43 2002
@@ -430,7 +430,7 @@
 {
 	BYTE nb = 0;
 	WW8Bytes aO;
-	SwWW8Writer::InsAsString8( aO, rStr, RTL_TEXTENCODING_MS_1252 );
+	SwWW8Writer::InsAsString8( aO, rStr, RTL_TEXTENCODING_MS_1250 );
 
 	USHORT nCnt = aO.Count();
 	if( nCnt && nCnt < rCharLen )
diff -urN oo_1.0.1_src.orig/sw/source/filter/ww8/wrtw8sty.cxx oo_1.0.1_src/sw/source/filter/ww8/wrtw8sty.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ww8/wrtw8sty.cxx	Tue Jul  9 17:08:23 2002
+++ oo_1.0.1_src/sw/source/filter/ww8/wrtw8sty.cxx	Fri Jul 12 09:40:43 2002
@@ -425,7 +425,7 @@
 	else
 	{
 		pO->Insert( (BYTE)rName.Len(), pO->Count() );		// Laenge
-		SwWW8Writer::InsAsString8( *pO, rName, RTL_TEXTENCODING_MS_1252 );
+		SwWW8Writer::InsAsString8( *pO, rName, RTL_TEXTENCODING_MS_1250 );
 	}
 	pO->Insert( (BYTE)0, pO->Count() );             // Trotz P-String 0 am Ende!
 }
@@ -772,11 +772,11 @@
 	else
 	{
 		SwWW8Writer::WriteString8( *rWrt.pTableStrm, sFamilyNm, TRUE,
-			RTL_TEXTENCODING_MS_1252 );
+			RTL_TEXTENCODING_MS_1250 );
 		if (bAlt)
 		{
 			SwWW8Writer::WriteString8( *rWrt.pTableStrm, sAltNm, TRUE,
-				RTL_TEXTENCODING_MS_1252 );
+				RTL_TEXTENCODING_MS_1250 );
 		}
 
 	}
@@ -1770,7 +1770,7 @@
 					const String& rStr = *aStrArr[ i ];
 					*rWrt.pTableStrm << (BYTE)rStr.Len();
 					SwWW8Writer::WriteString8( *rWrt.pTableStrm, rStr, FALSE,
-												RTL_TEXTENCODING_MS_1252 );
+												RTL_TEXTENCODING_MS_1250 );
 				}
 
 			rFib.fcGrpStAtnOwners = nFcStart;
@@ -1867,7 +1867,7 @@
 					{
 						*rWrt.pTableStrm << nLen;
 						SwWW8Writer::WriteString8( *rWrt.pTableStrm, sAuthor,
-										FALSE, RTL_TEXTENCODING_MS_1252 );
+										FALSE, RTL_TEXTENCODING_MS_1250 );
 						SwWW8Writer::FillCount( *rWrt.pTableStrm, 9 - nLen );
 					}
 
diff -urN oo_1.0.1_src.orig/sw/source/filter/ww8/wrtww8.cxx oo_1.0.1_src/sw/source/filter/ww8/wrtww8.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ww8/wrtww8.cxx	Tue Jul  9 17:08:23 2002
+++ oo_1.0.1_src/sw/source/filter/ww8/wrtww8.cxx	Fri Jul 12 09:40:43 2002
@@ -1443,7 +1443,7 @@
 				const String aNm( rStrings[ n ]->Copy(0, 255 ));
 				rStrm << (BYTE)aNm.Len();
 				SwWW8Writer::WriteString8( rStrm, aNm, FALSE,
-												RTL_TEXTENCODING_MS_1252 );
+												RTL_TEXTENCODING_MS_1250 );
 				if( nExtraLen )
 					SwWW8Writer::FillCount( rStrm, nExtraLen );
 			}
@@ -1537,7 +1537,7 @@
 void SwWW8Writer::WriteStringAsPara( const String& rTxt, USHORT nStyleId )
 {
 	if( rTxt.Len() )
-		OutSwString( rTxt, 0, rTxt.Len(), IsUnicode(), RTL_TEXTENCODING_MS_1252 );
+		OutSwString( rTxt, 0, rTxt.Len(), IsUnicode(), RTL_TEXTENCODING_MS_1250 );
 	WriteCR();				// CR danach
 
 	WW8Bytes aArr( 10, 10 );
diff -urN oo_1.0.1_src.orig/sw/source/filter/ww8/wrtww8gr.cxx oo_1.0.1_src/sw/source/filter/ww8/wrtww8gr.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ww8/wrtww8gr.cxx	Tue Jul  9 17:08:23 2002
+++ oo_1.0.1_src/sw/source/filter/ww8/wrtww8gr.cxx	Fri Jul 12 09:40:43 2002
@@ -580,7 +580,7 @@
 
 		Write1GrfHdr( rStrm, pGrfNd, pFly, mm, nWidth, nHeight );	// Header
 		rStrm << (BYTE)aFileN.Len();	// Pascal-String schreiben
-		SwWW8Writer::WriteString8( rStrm, aFileN, FALSE, RTL_TEXTENCODING_MS_1252 );
+		SwWW8Writer::WriteString8( rStrm, aFileN, FALSE, RTL_TEXTENCODING_MS_1250 );
 	}
 	else								// Embedded File oder DDE oder so was
 	{
diff -urN oo_1.0.1_src.orig/sw/source/filter/ww8/ww8atr.cxx oo_1.0.1_src/sw/source/filter/ww8/ww8atr.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ww8/ww8atr.cxx	Tue Jul  9 17:08:23 2002
+++ oo_1.0.1_src/sw/source/filter/ww8/ww8atr.cxx	Fri Jul 12 09:40:43 2002
@@ -1265,7 +1265,7 @@
 			SwWW8Writer::WriteString16( Strm(), rFldCmd, FALSE );
 		else
 			SwWW8Writer::WriteString8( Strm(), rFldCmd, FALSE,
-												RTL_TEXTENCODING_MS_1252 );
+												RTL_TEXTENCODING_MS_1250 );
 	}
 	if( WRITEFIELD_CMD_END & nMode )
 	{
@@ -1286,7 +1286,7 @@
 				SwWW8Writer::WriteString16( Strm(), sOut, FALSE );
 			else
 				SwWW8Writer::WriteString8( Strm(), sOut, FALSE,
-												RTL_TEXTENCODING_MS_1252 );
+												RTL_TEXTENCODING_MS_1250 );
 		}
 	}
 	if( WRITEFIELD_CLOSE & nMode )
@@ -2029,7 +2029,7 @@
 			SwWW8Writer::WriteString16( rWrt.Strm(), pFld->Expand(), FALSE );
 		else
 			SwWW8Writer::WriteString8(  rWrt.Strm(), pFld->Expand(), FALSE,
-													RTL_TEXTENCODING_MS_1252 );
+													RTL_TEXTENCODING_MS_1250 );
 	}
 
 	return rWrt;
@@ -2213,7 +2213,7 @@
 	else
 		// User-Nummerierung
 		OutSwString( rFtn.GetNumStr(), 0, rFtn.GetNumStr().Len(),
-						IsUnicode(), RTL_TEXTENCODING_MS_1252 );
+						IsUnicode(), RTL_TEXTENCODING_MS_1250 );
 
 	if( pOutArr )
 	{
diff -urN oo_1.0.1_src.orig/sw/source/filter/ww8/ww8par.cxx oo_1.0.1_src/sw/source/filter/ww8/ww8par.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ww8/ww8par.cxx	Tue Jul  9 17:08:23 2002
+++ oo_1.0.1_src/sw/source/filter/ww8/ww8par.cxx	Fri Jul 12 09:40:43 2002
@@ -1036,7 +1036,7 @@
 
 #ifdef INITIAL_AS_AUTHOR
 		sAuthor = String( pDescri->xstUsrInitl + 1, pDescri->xstUsrInitl[0],
-			RTL_TEXTENCODING_MS_1252);
+			RTL_TEXTENCODING_MS_1250);
 #endif
 	}
 	else
@@ -1769,7 +1769,7 @@
 	}
 	if( '\x0' != cInsert )
 		rDoc.Insert( *pPaM, ByteString::ConvertToUnicode(
-										cInsert, RTL_TEXTENCODING_MS_1252 ) );
+										cInsert, RTL_TEXTENCODING_MS_1250 ) );
 	return bRet;
 }
 
@@ -2281,13 +2281,13 @@
 						String(   (1 == pWwFib->fWhichTblStm)
 								? "1Table"
 								: "0Table",
-								RTL_TEXTENCODING_MS_1252 ),
+								RTL_TEXTENCODING_MS_1250 ),
 						STREAM_STD_READ );
 				pTableStream = &xTableStream;
 				pTableStream->SetNumberFormatInt( NUMBERFORMAT_INT_LITTLEENDIAN );
 
 				xDataStream = pStg->OpenStream(
-									String( "Data", RTL_TEXTENCODING_MS_1252 ),
+									String( "Data", RTL_TEXTENCODING_MS_1250 ),
 									STREAM_STD_READ | STREAM_NOCREATE );
 				if( xDataStream.Is() && SVSTREAM_OK == xDataStream->GetError() )
 				{
diff -urN oo_1.0.1_src.orig/sw/source/filter/ww8/ww8par5.cxx oo_1.0.1_src/sw/source/filter/ww8/ww8par5.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ww8/ww8par5.cxx	Tue Jul  9 17:08:23 2002
+++ oo_1.0.1_src/sw/source/filter/ww8/ww8par5.cxx	Fri Jul 12 09:40:43 2002
@@ -1458,7 +1458,7 @@
 				{
 					for(nFIdx = 0;  !bFldFound && (nFldCnt  > nFIdx); ++nFIdx)
 					{
-						if( aStr.Equals( String( aNameSet_26[nFIdx][nLIdx], RTL_TEXTENCODING_MS_1252 ) ) )
+						if( aStr.Equals( String( aNameSet_26[nFIdx][nLIdx], RTL_TEXTENCODING_MS_1250 ) ) )
 						{
 							bFldFound = TRUE;
 							pF->nId   = aNameSet_26[nFIdx][0][0];
@@ -1607,7 +1607,7 @@
 			nDelim = 0;
 
 		sal_Unicode c = ByteString::ConvertToUnicode( aDelim[ nDelim ],
-										RTL_TEXTENCODING_MS_1252 );
+										RTL_TEXTENCODING_MS_1250 );
 		if( '-' == c )
 			rDoc.Insert( *pPaM, CHAR_HARDHYPHEN );
 		else
diff -urN oo_1.0.1_src.orig/sw/source/filter/ww8/ww8par6.cxx oo_1.0.1_src/sw/source/filter/ww8/ww8par6.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ww8/ww8par6.cxx	Tue Jul  9 17:08:23 2002
+++ oo_1.0.1_src/sw/source/filter/ww8/ww8par6.cxx	Fri Jul 12 09:40:43 2002
@@ -3283,7 +3283,7 @@
 			{
 				if( bVer67 )
 					cSymbol = ByteString::ConvertToUnicode(
-								*(sal_Char*)(pData+2), RTL_TEXTENCODING_MS_1252 );
+								*(sal_Char*)(pData+2), RTL_TEXTENCODING_MS_1250 );
 				else
 					cSymbol = SVBT16ToShort( pData+2 );
 				bSymbol = TRUE;
diff -urN oo_1.0.1_src.orig/sw/source/filter/ww8/ww8scan.cxx oo_1.0.1_src/sw/source/filter/ww8/ww8scan.cxx
--- oo_1.0.1_src.orig/sw/source/filter/ww8/ww8scan.cxx	Tue Jul  9 17:08:23 2002
+++ oo_1.0.1_src/sw/source/filter/ww8/ww8scan.cxx	Fri Jul 12 09:40:43 2002
@@ -4809,7 +4809,7 @@
 			case 6:
 			case 7: // lies Pascal-String
 							*pString = WW8ReadPString( rSt,
-													RTL_TEXTENCODING_MS_1252 );
+													RTL_TEXTENCODING_MS_1250 );
 										// leading len and trailing zero --> 2
 							rSkip   -= 2+ pString->Len();
 							break;
@@ -4939,12 +4939,12 @@
 				p->wWeight   = SVBT16ToShort( *(SVBT16*)&pVer6->wWeight );
 				p->chs       = pVer6->chs;
 				p->ibszAlt   = pVer6->ibszAlt;
-				p->sFontname = String( pVer6->szFfn, RTL_TEXTENCODING_MS_1252 );
+				p->sFontname = String( pVer6->szFfn, RTL_TEXTENCODING_MS_1250 );
                 if (p->ibszAlt)
                 {
                     p->sFontname.Append(';');
                     p->sFontname += String(pVer6->szFfn+p->ibszAlt,
-						RTL_TEXTENCODING_MS_1252 );
+						RTL_TEXTENCODING_MS_1250 );
                 }
 				pVer6 = (WW8_FFN_Ver6*)( ((BYTE*)pVer6) + pVer6->cbFfnM1 + 1 );
 			}
